/*
                        Endeavour Procedures
 */

#ifndef EDVOP_H
#define EDVOP_H

#include <gtk/gtk.h>
#include "browser.h"
#include "imbr.h"
#include "archiver.h"
#include "propwin.h"
#include "endeavour.h"


extern gint EDVDoNewBrowser(edv_core_struct *core_ptr);
extern gint EDVDoNewImbr(edv_core_struct *core_ptr);
extern gint EDVDoNewArchiverOpen(
	edv_core_struct *core_ptr, const gchar *arch_obj
);
extern gint EDVDoNewArchiver(edv_core_struct *core_ptr);
extern gint EDVDoPropWinAndSwitchPage(
        edv_core_struct *core_ptr, edv_object_struct *obj,
        const gchar *tab_name
);
extern gint EDVDoPropWin(edv_core_struct *core_ptr, edv_object_struct *obj);

extern void EDVDoMapRecBinDeskIcon(edv_core_struct *core_ptr);
extern void EDVDoMapRecBin(edv_core_struct *core_ptr);
extern void EDVDoMapDevicesListWin(edv_core_struct *core_ptr);
extern void EDVDoMapMIMETypesListWin(edv_core_struct *core_ptr);

extern void EDVDoMapBrowserFindWin(
	edv_core_struct *core_ptr, edv_browser_struct *browser
);
extern void EDVDoMapImbrFindWin(
        edv_core_struct *core_ptr, edv_imbr_struct *imbr
);
extern void EDVDoMapArchiverFindWin(
        edv_core_struct *core_ptr, edv_archiver_struct *archiver
);
extern void EDVDoMapRecBinFindWin(
        edv_core_struct *core_ptr, edv_recbin_struct *recbin
);

extern void EDVDoUpdateDevicesPUList(edv_core_struct *core_ptr);
extern void EDVDoUpdateMIMETypeHintIndexes(edv_core_struct *core_ptr);
extern void EDVDoUpdateOpenWithPUList(edv_core_struct *core_ptr);

extern void EDVDoSyncDisks(edv_core_struct *core_ptr);

extern void EDVDoHelp(
	edv_core_struct *core_ptr, const gchar *topic, GtkWidget *toplevel
);
extern void EDVDoHelpAbout(edv_core_struct *core_ptr, GtkWidget *toplevel);


#endif	/* EDVOP_H */
