/*
                 Endeavour Image Browser Thumbs List
 */

#ifndef IMBRTLIST_H
#define IMBRTLIST_H

#include <gtk/gtk.h>
#include "imbr.h"
#include "endeavour.h"


extern gint EDVImbrTListFindThumbByPath(
        edv_imbr_struct *imbr, const gchar *path
);

extern guint8 *EDVImbrTListLoadImageRGBA(
        edv_core_struct *core_ptr,
        const gchar *path, gint *width, gint *height, gint *bpl
);

extern void EDVImbrTListResetThumbs(edv_imbr_struct *imbr);
extern void EDVImbrTListDoUpdate(
	edv_imbr_struct *imbr, const gchar *path,
	gbool update_status_bar
);

extern gint EDVImbrTListLoadItterate(
        edv_imbr_struct *imbr, gbool update_status_bar
);

extern void EDVImbrTListDoOpenObject(
        edv_imbr_struct *imbr, gint thumb_num
);
extern void EDVImbrTListDoOpenWithObject(
        edv_imbr_struct *imbr, gint thumb_num
);

extern void EDVImbrTListDoFPromptRename(
        edv_imbr_struct *imbr, gint thumb_num
);

extern void EDVImbrTListObjectAddedNotify(
        edv_imbr_struct *imbr, const gchar *path,
        const struct stat *lstat_buf
);
extern void EDVImbrTListObjectModifiedNotify(
        edv_imbr_struct *imbr, const gchar *path,
        const gchar *new_path,
        const struct stat *lstat_buf
);
extern void EDVImbrTListObjectRemovedNotify(
        edv_imbr_struct *imbr, const gchar *path
);

extern void EDVImbrTListMountNotify(
        edv_imbr_struct *imbr, edv_device_struct *dev_ptr,
        gbool is_mounted
);


#endif	/* IMBRTLIST_H */
